# Makefile.in generated automatically by automake 1.1l from Makefile.am

# Copyright (C) 1994, 1995, 1996 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.


SHELL = /bin/sh

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../../..

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@
target_alias = @target_alias@
build_alias = @build_alias@
host_triplet = @host@
target_triplet = @target@
build_triplet = @build@
host_alias = @host_alias@
have_resolv_conf = @have_resolv_conf@
A_STDIO = @A_STDIO@
CC = @CC@
VERSION = @VERSION@
TAR = @TAR@
icondir = @icondir@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
CHMOD = @CHMOD@
COMPRESS = @COMPRESS@
CVS = @CVS@
PACKAGE = @PACKAGE@
HTZLIB = @HTZLIB@
have_rlogin = @have_rlogin@
have_telnet = @have_telnet@
HTWAIS = @HTWAIS@
have_tn3270 = @have_tn3270@
PURIFY_CACHE = @PURIFY_CACHE@
ac_bn = @ac_bn@
CP = @CP@
AR = @AR@
MKDIR = @MKDIR@
RANLIB = @RANLIB@
ac_sys_afs_sysname = @ac_sys_afs_sysname@
ac_afsws_fs_found = @ac_afsws_fs_found@
subdirs = @subdirs@
SED = @SED@
RM = @RM@

check_PROGRAMS = w3clib

libtcl = @libtcl@
tclinclude = @tclinclude@

w3clib_LDADD = \
	$(libtcl) \
	../../src/libwww.a -lm

w3clib_DEPENDENCIES = \
	$(libtcl) \
	../../src/libwww.a

#	For easier use - NOT THE DEFAULT!
AUTOMAKE_OPTIONS = foreign

INCLUDES = -I$(srcdir)/../../src -I$(tclinclude)

w3clib_SOURCES = \
	HTAnchor_glue.c 	HTAnchor_glue.h \
	HTReq_glue.c 		HTReq_glue.h \
	HTList_glue.c		HTList_glue.h \
	HTHost_glue.c		HTHost_glue.h \
	HTLog_glue.c 		HTLog_glue.h \
	HTFWriter_glue.c	HTFWriter_glue.h \
	HTAssoc_glue.c		HTAssoc_glue.h \
	HTBind_glue.c		HTBind_glue.h \
	HTProt_glue.c		HTProt_glue.h \
	HTUser_glue.c		HTUser_glue.h \
	HTLink_glue.c		HTLink_glue.h \
	HTAccess_glue.c		HTAccess_glue.h \
	HTParse_glue.c		HTParse_glue.h \
	HTFormat_glue.c		HTFormat_glue.h \
	HTError_glue.c		HTError_glue.h \
	HTAlert_glue.c		HTAlert_glue.h \
	HTDNS_glue.c		HTDNS_glue.h \
	HTUTree_glue.c		HTUTree_glue.h \
	HTTrans_glue.c		HTTrans_glue.h \
	HTNet_glue.c		HTNet_glue.h \
	HTInet_glue.c		HTInet_glue.h \
	Libdata.c		Libdata.h \
	glue.c			glue.h \
	URLgen.c		URLgen.h \
	Tcl_Interface.c		Tcl_Interface.h \
	Enumerations.c		Enumerations.h \
	tclAppInit.c
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = ../../../config.h
CONFIG_CLEAN_FILES = 

DEFS = @DEFS@ -I. -I$(srcdir) -I../../..
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
w3clib_OBJECTS =  HTAnchor_glue.o HTReq_glue.o HTList_glue.o \
HTHost_glue.o HTLog_glue.o HTFWriter_glue.o HTAssoc_glue.o \
HTBind_glue.o HTProt_glue.o HTUser_glue.o HTLink_glue.o HTAccess_glue.o \
HTParse_glue.o HTFormat_glue.o HTError_glue.o HTAlert_glue.o \
HTDNS_glue.o HTUTree_glue.o HTTrans_glue.o HTNet_glue.o HTInet_glue.o \
Libdata.o glue.o URLgen.o Tcl_Interface.o Enumerations.o tclAppInit.o
w3clib_LDFLAGS = 
CFLAGS = @CFLAGS@
COMPILE = $(CC) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)
LINK = $(CC) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) \
	$(TEXINFOS) $(MANS) $(EXTRA_DIST)
SOURCES = $(w3clib_SOURCES)
OBJECTS = $(w3clib_OBJECTS)

default: all

.SUFFIXES:
.SUFFIXES: .c .o
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL) 
	cd $(top_srcdir) && automake --foreign Library/Test/src/Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-checkPROGRAMS:

clean-checkPROGRAMS:
	test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)

distclean-checkPROGRAMS:

maintainer-clean-checkPROGRAMS:

.c.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	rm -f *.o core

clean-compile:

distclean-compile:
	rm -f *.tab.c

maintainer-clean-compile:
$(w3clib_OBJECTS): ../../../config.h

w3clib: $(w3clib_OBJECTS) $(w3clib_DEPENDENCIES)
	$(LINK) $(w3clib_LDFLAGS) $(w3clib_OBJECTS) $(w3clib_LDADD) $(LIBS)

tags: TAGS

ID: $(HEADERS) $(SOURCES)
	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES)
	tags=; \
	here=`pwd`; \
	list="$(SUBDIRS)"; for subdir in $$list; do \
	  test -f $$subdir/TAGS && tags="$$tags -i $$here/$$subdir/TAGS"; \
	done; \
	test -z "$(ETAGS_ARGS)$(SOURCES)$(HEADERS)$$tags" \
	  || cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $(SOURCES) $(HEADERS) -o $$here/TAGS

mostlyclean-tags:

clean-tags:

distclean-tags:
	rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = Library/Test/src
distdir: $(DISTFILES)
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done
info:
dvi:
check: all $(check_PROGRAMS)
	$(MAKE)
installcheck:
install-exec: 
	$(NORMAL_INSTALL)

install-data: 
	$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: 

all: Makefile

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' install
installdirs:


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-checkPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-generic

clean:  clean-checkPROGRAMS clean-compile clean-tags clean-generic \
		mostlyclean

distclean:  distclean-checkPROGRAMS distclean-compile distclean-tags \
		distclean-generic clean
	rm -f config.status

maintainer-clean:  maintainer-clean-checkPROGRAMS \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: default mostlyclean-checkPROGRAMS distclean-checkPROGRAMS \
clean-checkPROGRAMS maintainer-clean-checkPROGRAMS mostlyclean-compile \
distclean-compile clean-compile maintainer-clean-compile tags \
mostlyclean-tags distclean-tags clean-tags maintainer-clean-tags \
distdir info dvi installcheck install-exec install-data install \
uninstall all installdirs mostlyclean-generic distclean-generic \
clean-generic maintainer-clean-generic clean mostlyclean distclean \
maintainer-clean


# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
